<div class="modal fade" id="editRecordModal" tabindex="-1" role="dialog" aria-labelledby="editRecordModalLabel"
     aria-hidden="true">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editRecordModalLabel">{$dns->lang['Edit Record']}
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="editRecord" method="post" action="">
                <input type="hidden" value="" name="content" id="content">
                <input type="hidden" value="" name="type" id="type">

                <div class="modal-body">

                    <div class="form-row">
                        <div class="form-group col-md-2">
                            <div class="form-group">
                                <label for="type2">{$dns->lang['Type']}</label>
                                <select class="form-control inactive" id="type2" required disabled>
                                    <option value="SOA">SOA</option>
                                    <option value="A">A</option>
                                    <option value="AAAA">AAAA</option>
                                    <option value="CNAME">CNAME</option>
                                    <option value="MX">MX</option>
                                    <option value="TXT">TXT</option>
                                    <option value="SRV">SRV</option>
                                    <option value="PTR">PTR</option>
                                    <option value="CAA">CAA</option>
                                    <option value="DNSKEY">DNSKEY</option>
                                    <option value="DS">DS</option>
                                    <option value="NAPTR">NAPTR</option>
                                    <option value="TLSA">TLSA</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-md-8">
                            <div class="form-group">
                                <label for="name">{$dns->lang['Name (required)']}</label>
                                <input type="text" class="form-control" id="name" name="name" readonly required>
                                <small class="form-text text-muted">{$dns->lang['Use @ for root']}</small>
                            </div>
                        </div>

                        <div class="form-group col-md-2">
                            <div class="form-group">
                                <label for="ttl">{$dns->lang['TTL']}</label>
                                <select class="form-control" id="ttl" name="ttl">
                                    <option value="300">{$dns->lang['5 min']}</option>
                                    <option value="600">{$dns->lang['10 min']}</option>
                                    <option value="900">{$dns->lang['15 min']}</option>
                                    <option value="1800">{$dns->lang['30 min']}</option>
                                    <option value="3600" selected>{$dns->lang['1 hr']}</option>
                                    <option value="7200">{$dns->lang['2 hr']}</option>
                                    <option value="18000">{$dns->lang['5 hr']}</option>
                                    <option value="43200">{$dns->lang['12 hr']}</option>
                                    <option value="86400">{$dns->lang['24 hr']}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div id="dynamicFields" class="form-row"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                        <i class="fa fa-times"></i> {$dns->lang['Cancel']}
                    </button>
                    <button type="submit" value="editRecord" name="submit" class="btn btn-primary" form="editRecord"
                            id="editRecordSubmitButton">
                        <i class="fa fa-save"></i> {$dns->lang['Edit Record']}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    document.getElementById('editRecordSubmitButton').addEventListener('click', function (event) {
        const modal = this.closest('.modal');
        const form = modal.querySelector('#editRecord');
        if (form.checkValidity()) {
            showLoader();
        } else {
            event.preventDefault();
            alert('{$dns->lang['Please fill in all required fields.']}');
        }
    });

    {literal}
    document.addEventListener("DOMContentLoaded", function () {
        const editButtons = document.querySelectorAll('.edit-record-btn');

        editButtons.forEach(function (button) {
            button.addEventListener('click', function () {
                const modal = document.getElementById("editRecordModal");

                const type = this.getAttribute('data-type');
                const name = this.getAttribute('data-name');
                const ttl = this.getAttribute('data-ttl');
                const content = this.getAttribute('data-content');
                const jsonData = JSON.parse(atob(this.getAttribute('data-json')));

                modal.querySelector('#type').value = type;
                modal.querySelector('#type2').value = type;

                modal.querySelector('#name').value = name;
                modal.querySelector('#ttl').value = ttl || '3600';
                modal.querySelector('#content').value = content;

                const dynamicFieldsContainer = modal.querySelector('#dynamicFields');
                updateDynamicFields(dynamicFieldsContainer, type, jsonData);

            });
        });
    });
    {/literal}
</script>
